lnHandle = sqlstringconnect('driver=SQL Server;server=(local);' + ;
	'database=Northwind;uid=sa;pwd=;trusted_connection=no')
&& change password to appropriate value for your database

* Create a CustomerByIDCursor object, set its properties, and get the ALFKI
* customer.

loCustomers = newobject('CustomerByIDCursor', 'NorthwindDataClasses')
with loCustomers
	.DataSourceType   = 'ODBC'
	loParameter       = .GetParameter('pCustomerID')
	loParameter.Value = 'ALFKI'
	.SetConnection(lnHandle)
	if .GetData()
		browse
	else
		messagebox('Could not get the data. The error message was:' + ;
			chr(13) + chr(13) + .cErrorMessage)
	endif .GetData()
endwith
sqldisconnect(lnHandle)

* Now do the same thing but use Access instead.

lnHandle = sqlstringconnect('driver=Microsoft Access Driver (*.mdb);' + ;
	'dbq=d:\Program Files\Microsoft Visual Studio\VB98\Nwind.mdb')
&& change to appropriate value for your database
loCustomers = newobject('CustomerByIDCursor', 'NorthwindDataClasses')
with loCustomers
	.DataSourceType   = 'ODBC'
	loParameter       = .GetParameter('pCustomerID')
	loParameter.Value = 'ALFKI'
	.SetConnection(lnHandle)
	if .GetData()
		browse
	else
		messagebox('Could not get the data. The error message was:' + ;
			chr(13) + chr(13) + .cErrorMessage)
	endif .GetData()
endwith
sqldisconnect(lnHandle)
