local loCursor as SFCursorAdapter of SFCursorAdapter, ;
	loConnMgr as SFConnectionMgrODBC of SFRemote, ;
	loParameter as Empty
lnHandle = sqlstringconnect('driver=SQL Server;server=(local);' + ;
	'database=Northwind;uid=sa;pwd=;trusted_connection=no')
&& change password to appropriate value for your database
loCursor = newobject('SFCursorAdapter', 'SFDataClasses')
with loCursor
	.DataSourceType = 'ODBC'
	.Alias          = 'Customers'
	.SelectCmd      = 'select * from customers where country = ?pcountry'
	.SetConnection(lnHandle)
	.AddParameter('pcountry', 'Brazil')
	.AddTag('CustomerID', 'CustomerID')
	.AddTag('Company',    'upper(CompanyName)')
	.AddTag('Contact',    'upper(ContactName)')
	if .GetData()
		messagebox('Brazilian customers in CustomerID order')
		set order to CustomerID
		go top
		browse
		messagebox('Brazilian customers in Contact order')
		set order to Contact
		go top
		browse
		messagebox('Canadian customers')
		loParameter = .GetParameter('pcountry')
		loParameter.Value = 'Canada'
		.Requery()
		browse
	else
		messagebox('Could not get the data. The error message was:' + ;
			chr(13) + chr(13) + .cErrorMessage)
	endif .GetData()

* Now try to do an invalid SELECT statement.

	.SelectCmd = 'select * from customersx'
	if .GetData()
		browse
	else
		messagebox('Could not get the data. The error message was:' + ;
			chr(13) + chr(13) + .cErrorMessage)
	endif .GetData()
endwith
sqldisconnect(lnHandle)
